## pyusid 0.0.12

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXPROJ    = pyUSID
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

# Create a .py (percent format with multiline comments) from an .ipynb in the first place:
# jupytext --update-metadata '{"jupytext": {"cell_markers": "\"\"\""}}' --to py:percent <name-of-notebook>.ipynb

# Convert .py to .ipynb (don't seem to need to --execute? perhaps sphinx-build does it...), then build html:
%: Makefile
	rm -rf build
	rm -rf source/_autosummary
	rm -rf source/notebooks
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pyusid (0.0.12-3) unstable; urgency=medium

  * Bug fix: "autopkgtests fail with numpy 2.x", thanks to Andrey
    Rakhmatullin (Closes: #1095092).

 -- Roland Mas <lolando@debian.org>  Fri, 14 Mar 2025 15:22:14 +0100

pyusid (0.0.12-2) unstable; urgency=medium

  * Bug fix: "pyusid generate an extraneous dependency on python3-six",
    thanks to Alexandre Detiste (Closes: #1070675).

 -- Roland Mas <lolando@debian.org>  Sun, 12 May 2024 15:10:46 +0200

pyusid (0.0.12-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Wed, 01 May 2024 17:53:17 +0200

=== debian/control ===
Source: pyusid
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
	       pybuild-plugin-pyproject,
	       python3-h5py,
	       python3-numpy,
	       python3-pil,
	       python3-sidpy,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://pycroscopy.github.io/pyUSID/about.html
Vcs-Git: https://salsa.debian.org/python-team/packages/pyusid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyusid
Rules-Requires-Root: no

Package: python3-pyusid
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Universal Spectroscopic and Imaging Data (USID) for Python
 A framework for storing, visualizing, and processing Universal
 Spectroscopic and Imaging Data (USID).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyusid
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/pyusid/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyusid/pyusid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
